<?php
  
REQUIRE(ROOT.'/users/profile/mail/plugins/mail.php');  
  
IF (GET('id') && DB::GET_COLUMN("SELECT COUNT(*) FROM `MAIL` WHERE `USER_ID` = '".INTVAL(GET('id'))."' AND `MY_ID` = '".$user['ID']."' LIMIT 1") > 0){
  
  $mail = DB::GET_STRING("SELECT * FROM `MAIL` WHERE `USER_ID` = '".INTVAL(GET('id'))."' AND `MY_ID` = '".$user['ID']."' LIMIT 1");
  
  REDIRECT('/users/profile/?path=mail&section=message&id='.$mail['USER_ID'].'');
  
}ELSEIF (GET('id') && DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1") > 0){
  
  $account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");

  $id = $account['ID'];

}ELSE{

  $id = NULL;

}
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=mail'>".LG('Почта')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Написать')."";
ECHO "</div>";

IF (POST('ok_message')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $login2 = ADSL(POST('login'));
  $message = ADSL(POST('message'));
  
  IF (STR($message) < 1){
    
    ERROR('Сообщение не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 5000){
    
    ERROR('Сообщение не может быть больше 5000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$login2."' LIMIT 1") == 0){
    
    ERROR('Такого пользователя не существует', 'session');
    $err_data = 1;
  
  }
  
  $account2 = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".$login2."' LIMIT 1");
  
  IF ($account2['ID'] == $user['ID']){
    
    ERROR('Нельзя писать самому себе', 'session');
    $err_data = 1;
  
  }
  
  $mess = DB::GET_STRING("SELECT `MESSAGE` FROM `MAIL_MESSAGE` WHERE `USER_ID` = '".$account2['ID']."' AND `MY_ID` = '".$user['ID']."' ORDER BY `TIME` DESC LIMIT 1");
  
  IF ($message == $mess['MESSAGE']){

    ERROR('Ваше сообщение повторяет предыдущее', 'session');
    $err_data = 1;
  
  }
  
  $mail_set_my = DB::GET_STRING("SELECT * FROM `MAIL_SETTINGS` WHERE `USER_ID` = '".$user['ID']."' LIMIT 1");
  
  IF ($mail_set_my['PRIVATE'] == 2){

    ERROR('Вы не можете писать письма, так как закрыли свою почту от всех', 'session');
    $err_data = 1;
  
  }
  
  $mail_set_user = DB::GET_STRING("SELECT * FROM `MAIL_SETTINGS` WHERE `USER_ID` = '".$account2['ID']."' LIMIT 1");
  
  IF ($mail_set_user['PRIVATE'] == 2){

    ERROR('Вы не можете писать письма этому пользователю, так как он закрыл свою почту от всех', 'session');
    $err_data = 1;
  
  }
  
  IF ($mail_set_user['PRIVATE'] == 1 && DB::GET_COLUMN("SELECT COUNT(*) FROM `FRIENDS` WHERE `USER_ID` = '".$user['ID']."' AND `MY_ID` = '".$account2['ID']."' AND `ACT` = '0' LIMIT 1") == 0){

    ERROR('Данному пользователю могут писать только друзья', 'session');
    $err_data = 1;
  
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/users/profile/?path=mail&section=write&id=0');
    
  }
  
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account2['ID']."', '".$user['ID']."', '".TIME()."', '".$message."', '".$user['ID']."')");
  DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".$account2['ID']."', '".$user['ID']."', '".TIME()."', '".$message."', '".$account2['ID']."')");

  REDIRECT('/users/profile/?path=mail&section=message&id='.$account2['ID'].'');
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/users/profile/?path=mail&section=write&id=".$id."'>";

ECHO "<b>".LG('ID получателя')."</b>:<br />";

IF ($id > 0){
  
  ECHO "<a href='/id".$id."'>";
  ECHO "".USER::LOGIN($id, 1, 1)."";
  ECHO "</a>";
  
}

HTML::INPUT('login', 'ID', NULL, NULL, $id);

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 5000 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

ECHO "<br />";

HTML::BUTTON('btn-big ajax-button', 'ok_message', 'envelope', 'Отправить письмо');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/users/profile/?path=mail'>".LG('Почта')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Написать')."";
ECHO "</div>";
  
?>